You are not logged in.

#1 2010-03-20 14:52:03

jxy
Member
Registered: 2008-12-03
Posts: 133

zlib-1.2.4 breaks texlive-bin-2009.5-2

Some functionalities in texlive-bin-2009.5-2 depend on zlib-1.2.3.4.

% mptopdf
PANIC: unprotected error in call to Lua API (zlib library version does not match - header: 1.2.3.4, library: 1.2.4)
% context
PANIC: unprotected error in call to Lua API (zlib library version does not match - header: 1.2.3.4, library: 1.2.4)
% luatex
PANIC: unprotected error in call to Lua API (zlib library version does not match - header: 1.2.3.4, library: 1.2.4)

Offline

#2 2010-03-20 14:58:50

Pierre
Developer
From: Bonn
Registered: 2004-07-05
Posts: 1,950
Website

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

This is very likely a texlive error. I don't know why it assumes that version 1.2.3 is not compatible with 1.2.4; but this is just wrong. Open a ticket in our bug tracker.

Offline

#3 2010-03-20 15:32:00

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

Ι confirm this. Jxy, have you opened the ticket ?

Offline

#4 2010-03-20 15:38:12

jxy
Member
Registered: 2008-12-03
Posts: 133

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

Offline

#5 2010-03-21 10:06:14

dgippner-j
Member
From: Jena, Germany
Registered: 2010-03-21
Posts: 6
Website

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

Hi all,
Is there any possibility to downgrade to zlib-1.2.3.4 just for the moment until the problem is solved? Unfortunately, I've got to use luatex for my PhD-Thesis sad

Thanks for all help in advance!
David


(...) IT IS NOT YET MIDNIGHT? 'I shouldn't think it's more than a quarter past eleven.' THEN WE HAVE THREE-QUARTERS OF AN HOUR. 'How can you be sure?' BECAUSE OF DRAMA, MISS FLITWORTH.. THE KIND OF DEATH WHO POSES AGAINST THE SKYLINE AND GETS LIT UP BY LIGHTNING FLASHES, said Bill Door, disapprovingly, DOESN'T TURN UP AT FIVE-AND-TWENTY PAST ELEVEN IF HE CAN POSSIBLY TURN UP AT MIDNIGHT.

Offline

#6 2010-03-21 10:23:24

bernarcher
Forum Fellow
From: Germany
Registered: 2009-02-17
Posts: 2,273

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

Unless you did clear your cache, there should be zlib 1.2.3.9-1 in your /var/cache/pacman/pkg folder. Just issue (as in my case):

pacman -U /var/cache/pacman/pkg/zlib-1.2.3.9-1-x86_64.pkg.tar.xz

or whatever zlib-1.2.3... package you may find there.

Additionally you may want put this line

IgnorePkg = zlib

into your /etc/pacman.conf file to prevent pacman from inadvertently upgrading zlib again.

Last edited by bernarcher (2010-03-21 10:27:53)


To know or not to know ...
... the questions remain forever.

Offline

#7 2010-03-21 10:29:56

dgippner-j
Member
From: Jena, Germany
Registered: 2010-03-21
Posts: 6
Website

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

Thanks for your help, I've found the file on a server; only one thing isn't successful: pacman doesn't recognise:

IgnorePkg = zlib

What to do about that?

Last edited by dgippner-j (2010-03-21 10:43:15)


(...) IT IS NOT YET MIDNIGHT? 'I shouldn't think it's more than a quarter past eleven.' THEN WE HAVE THREE-QUARTERS OF AN HOUR. 'How can you be sure?' BECAUSE OF DRAMA, MISS FLITWORTH.. THE KIND OF DEATH WHO POSES AGAINST THE SKYLINE AND GETS LIT UP BY LIGHTNING FLASHES, said Bill Door, disapprovingly, DOESN'T TURN UP AT FIVE-AND-TWENTY PAST ELEVEN IF HE CAN POSSIBLY TURN UP AT MIDNIGHT.

Offline

#8 2010-03-21 10:45:40

bernarcher
Forum Fellow
From: Germany
Registered: 2009-02-17
Posts: 2,273

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

You must put it in the [options] section.

Last edited by bernarcher (2010-03-21 10:48:37)


To know or not to know ...
... the questions remain forever.

Offline

#9 2010-03-21 10:56:34

dgippner-j
Member
From: Jena, Germany
Registered: 2010-03-21
Posts: 6
Website

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

Thanks a lot! Sorry for this, I'm very new to Archlinux (installed just yesterday)...


(...) IT IS NOT YET MIDNIGHT? 'I shouldn't think it's more than a quarter past eleven.' THEN WE HAVE THREE-QUARTERS OF AN HOUR. 'How can you be sure?' BECAUSE OF DRAMA, MISS FLITWORTH.. THE KIND OF DEATH WHO POSES AGAINST THE SKYLINE AND GETS LIT UP BY LIGHTNING FLASHES, said Bill Door, disapprovingly, DOESN'T TURN UP AT FIVE-AND-TWENTY PAST ELEVEN IF HE CAN POSSIBLY TURN UP AT MIDNIGHT.

Offline

#10 2010-03-21 14:54:27

jxy
Member
Registered: 2008-12-03
Posts: 133

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

You can compile texlive-bin from abs by yourself if you want to stick to zlib-1.2.4.

Offline

#11 2010-03-22 23:35:56

psrivats
Member
Registered: 2010-03-21
Posts: 23

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

bernarcher wrote:

Unless you did clear your cache, there should be zlib 1.2.3.9-1 in your /var/cache/pacman/pkg folder. Just issue (as in my case):

pacman -U /var/cache/pacman/pkg/zlib-1.2.3.9-1-x86_64.pkg.tar.xz

or whatever zlib-1.2.3... package you may find there.
.

Thank you for posting this fix!

Offline

#12 2010-03-23 03:22:38

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: zlib-1.2.4 breaks texlive-bin-2009.5-2

jxy wrote:

You can compile texlive-bin from abs by yourself if you want to stick to zlib-1.2.4.

~ > pacman -Q zlib
zlib 1.2.4-1
~ > mptopdf 
MTXrun | kpse fallback with progname 'context' initialized in 0.01 seconds

MPtoPDF 1.3.3 : provide MP output file (or pattern)

It's an easy rebuild that requires no patching.

Offline

Board footer

Powered by FluxBB